%global extension   mediacontrols
%global uuid        %{extension}@cliffniff.github.com

Name:           gnome-shell-extension-%{extension}
Version:        14
Release:        %autorelease
Summary:        Show controls for the current playing media in the panel
License:        MIT
BuildArch:      noarch
URL:            https://github.com/cliffniff/media-controls
Source0:        %{url}/archive/v%{version}/%{extension}-%{version}.tar.gz

Requires:       gnome-shell-extension-common

Recommends:     gnome-extensions-app


%description
%{summary}.


%prep
%autosetup -p 1 -n media-controls-%{version}


%install
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

# install main extension files
cp -r --preserve=mode,timestamps \
    *.js *.ui metadata.json \
    %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

# install the schema file
install -D -p -m 0644 \
    schemas/org.gnome.shell.extensions.%{extension}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%files
%license LICENSE
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%changelog
%autochangelog
